_Appendix(ASCII character conversion)
_label(appendix:ascii) _index(ASCII codes)

The ASCII character set has nothing inherently to do with the _T
language or its implementations.  Internally, any implementation is
free to use any convenient encoding for characters, for example, a
modified ASCII (such as that of the Lisp Machine), or EBCDIC.
However, the language does provide conversions between characters and
ASCII codes (_tc(_a(CHAR,_txar,ASCII)) and
_tc(_a(ASCII,_txar,CHAR))), so this correspondence is, for the
purposes of those routines, a part of the language definition.  The
table below is also provided as a general reference, because people
using _T are also likely to be using computers, and this information
may often be useful in that context.

_DComment(dorab: fix for info)
_IfLatex(`\raggedbottom')
_IfLatex(`\begin{center}
\begin{tabular}{rrrl}')
 8 _colsep  10 _colsep  16 _colsep  character _LNL

 0 _colsep   0 _colsep   0 _colsep  _key(NULL) _LNL
 1 _colsep   1 _colsep   1 _LNL
 2 _colsep   2 _colsep   2 _LNL
 3 _colsep   3 _colsep   3 _LNL
 4 _colsep   4 _colsep   4 _LNL
 5 _colsep   5 _colsep   5 _LNL
 6 _colsep   6 _colsep   6 _LNL
 7 _colsep   7 _colsep   7 _colsep  _key(BELL) _LNL
10 _colsep   8 _colsep   8 _colsep  _key(BS) _LNL
11 _colsep   9 _colsep   9 _colsep  _key(TAB) _LNL
12 _colsep  10 _colsep   A _colsep  _key(LFD) _LNL
13 _colsep  11 _colsep   B _LNL
14 _colsep  12 _colsep   C _colsep  _key(FORMFEED) _LNL
15 _colsep  13 _colsep   D _colsep  _key(RET) _LNL
16 _colsep  14 _colsep   E _LNL
17 _colsep  15 _colsep   F _LNL
20 _colsep  16 _colsep  10 _LNL
21 _colsep  17 _colsep  11 _LNL
22 _colsep  18 _colsep  12 _LNL
23 _colsep  19 _colsep  13 _LNL
24 _colsep  20 _colsep  14 _LNL
25 _colsep  21 _colsep  15 _LNL
26 _colsep  22 _colsep  16 _LNL
27 _colsep  23 _colsep  17 _LNL
30 _colsep  24 _colsep  18 _LNL
31 _colsep  25 _colsep  19 _LNL
32 _colsep  26 _colsep  1A _LNL
33 _colsep  27 _colsep  1B _colsep  _key(ESC) _LNL
34 _colsep  28 _colsep  1C _LNL
35 _colsep  29 _colsep  1D _LNL
36 _colsep  30 _colsep  1E _LNL
37 _colsep  31 _colsep  1F
_IfLatex(`\end{tabular}')
_IfLatex(`\begin{tabular}{rrrl}')
 8 _colsep  10 _colsep  16 _colsep   character _LNL

40 _colsep  32 _colsep  20 _colsep   _key(SPC) _LNL
41 _colsep  33 _colsep  21 _colsep   ! _LNL
42 _colsep  34 _colsep  22 _colsep   _cQ _LNL
43 _colsep  35 _colsep  23 _colsep   _cH _LNL
44 _colsep  36 _colsep  24 _colsep   _cDL _LNL
45 _colsep  37 _colsep  25 _colsep   _cP _LNL
46 _colsep  38 _colsep  26 _colsep   _cAND _LNL
47 _colsep  39 _colsep  27 _colsep   _cQc _LNL
50 _colsep  40 _colsep  28 _colsep   ( _LNL
51 _colsep  41 _colsep  29 _colsep   ) _LNL
52 _colsep  42 _colsep  2A _colsep   * _LNL
53 _colsep  43 _colsep  2B _colsep   + _LNL
54 _colsep  44 _colsep  2C _colsep   , _LNL
55 _colsep  45 _colsep  2D _colsep   - _LNL
56 _colsep  46 _colsep  2E _colsep   . _LNL
57 _colsep  47 _colsep  2F _colsep   / _LNL
60 _colsep  48 _colsep  30 _colsep   0 _LNL
61 _colsep  49 _colsep  31 _colsep   1 _LNL
62 _colsep  50 _colsep  32 _colsep   2 _LNL
63 _colsep  51 _colsep  33 _colsep   3 _LNL
64 _colsep  52 _colsep  34 _colsep   4 _LNL
65 _colsep  53 _colsep  35 _colsep   5 _LNL
66 _colsep  54 _colsep  36 _colsep   6 _LNL
67 _colsep  55 _colsep  37 _colsep   7 _LNL
70 _colsep  56 _colsep  38 _colsep   8 _LNL
71 _colsep  57 _colsep  39 _colsep   9 _LNL
72 _colsep  58 _colsep  3A _colsep   : _LNL
73 _colsep  59 _colsep  3B _colsep   ; _LNL
74 _colsep  60 _colsep  3C _colsep   _cLT _LNL
75 _colsep  61 _colsep  3D _colsep   = _LNL
76 _colsep  62 _colsep  3E _colsep   _cGT _LNL
77 _colsep  63 _colsep  3F _colsep   ?
_IfLatex(`\end{tabular}
\end{center}')
_IfLatex(`\begin{center}
\begin{tabular}{rrrl}')
  8 _colsep  10 _colsep  16 _colsep   character _LNL

100 _colsep  64 _colsep  40 _colsep   @ _LNL
101 _colsep  65 _colsep  41 _colsep   A _LNL
102 _colsep  66 _colsep  42 _colsep   B _LNL
103 _colsep  67 _colsep  43 _colsep   C _LNL
104 _colsep  68 _colsep  44 _colsep   D _LNL
105 _colsep  69 _colsep  45 _colsep   E _LNL
106 _colsep  70 _colsep  46 _colsep   F _LNL
107 _colsep  71 _colsep  47 _colsep   G _LNL
110 _colsep  72 _colsep  48 _colsep   H _LNL
111 _colsep  73 _colsep  49 _colsep   I _LNL
112 _colsep  74 _colsep  4A _colsep   J _LNL
113 _colsep  75 _colsep  4B _colsep   K _LNL
114 _colsep  76 _colsep  4C _colsep   L _LNL
115 _colsep  77 _colsep  4D _colsep   M _LNL
116 _colsep  78 _colsep  4E _colsep   N _LNL
117 _colsep  79 _colsep  4F _colsep   O _LNL
120 _colsep  80 _colsep  50 _colsep   P _LNL
121 _colsep  81 _colsep  51 _colsep   Q _LNL
122 _colsep  82 _colsep  52 _colsep   R _LNL
123 _colsep  83 _colsep  53 _colsep   S _LNL
124 _colsep  84 _colsep  54 _colsep   T _LNL
125 _colsep  85 _colsep  55 _colsep   U _LNL
126 _colsep  86 _colsep  56 _colsep   V _LNL
127 _colsep  87 _colsep  57 _colsep   W _LNL
130 _colsep  88 _colsep  58 _colsep   X _LNL
131 _colsep  89 _colsep  59 _colsep   Y _LNL
132 _colsep  90 _colsep  5A _colsep   Z _LNL
133 _colsep  91 _colsep  5B _colsep   [ _LNL
134 _colsep  92 _colsep  5C _colsep   _cSL _LNL
135 _colsep  93 _colsep  5D _colsep   ] _LNL
136 _colsep  94 _colsep  5E _colsep   _cHT _LNL
137 _colsep  95 _colsep  5F _colsep   _cUL
_IfLatex(`\end{tabular}')
_IfLatex(`\begin{tabular}{rrrl}')
  8 _colsep   10 _colsep  16 _colsep   character _LNL

140 _colsep   96 _colsep  60 _colsep   _cQo _LNL
141 _colsep   97 _colsep  61 _colsep   a _LNL
142 _colsep   98 _colsep  62 _colsep   b _LNL
143 _colsep   99 _colsep  63 _colsep   c _LNL
144 _colsep  100 _colsep  64 _colsep   d _LNL
145 _colsep  101 _colsep  65 _colsep   e _LNL
146 _colsep  102 _colsep  66 _colsep   f _LNL
147 _colsep  103 _colsep  67 _colsep   g _LNL
150 _colsep  104 _colsep  68 _colsep   h _LNL
151 _colsep  105 _colsep  69 _colsep   i _LNL
152 _colsep  106 _colsep  6A _colsep   j _LNL
153 _colsep  107 _colsep  6B _colsep   k _LNL
154 _colsep  108 _colsep  6C _colsep   l _LNL
155 _colsep  109 _colsep  6D _colsep   m _LNL
156 _colsep  110 _colsep  6E _colsep   n _LNL
157 _colsep  111 _colsep  6F _colsep   o _LNL
160 _colsep  112 _colsep  70 _colsep   p _LNL
161 _colsep  113 _colsep  71 _colsep   q _LNL
162 _colsep  114 _colsep  72 _colsep   r _LNL
163 _colsep  115 _colsep  73 _colsep   s _LNL
164 _colsep  116 _colsep  74 _colsep   t _LNL
165 _colsep  117 _colsep  75 _colsep   u _LNL
166 _colsep  118 _colsep  76 _colsep   v _LNL
167 _colsep  119 _colsep  77 _colsep   w _LNL
170 _colsep  120 _colsep  78 _colsep   x _LNL
171 _colsep  121 _colsep  79 _colsep   y _LNL
172 _colsep  122 _colsep  7A _colsep   z _LNL
173 _colsep  123 _colsep  7B _colsep   _cBo _LNL
174 _colsep  124 _colsep  7C _colsep   _cVL _LNL
175 _colsep  125 _colsep  7D _colsep   _cBc _LNL
176 _colsep  126 _colsep  7E _colsep   _cTL _LNL
177 _colsep  127 _colsep  7F _colsep   _key(DEL)
_IfLatex(`\end{tabular}
\end{center}')
_IfLatex(`\flushbottom')
