_Appendix(Other Lisps)

_T is a dialect of Lisp derived from Scheme and influenced by Common
Lisp and NIL. _T3 provides an environment with a Scheme emulation.

_Section(Scheme Environment)

Scheme is specified by _r3rs.  _T3 provides the environment
_Xc(SCHEME-ENV) which supports some subset of Scheme.

The Scheme interpreter is entered using _Xc(SCHEME-RESET) and
_Xc(SCHEME-BREAKPOINT), and is left using _Xc(T-RESET).

_Comdef(`SCHEME-BREAKPOINT',` ',
`(SCHEME-BREAKPOINT) _yl() _Undefined')
_begin_Desc
Enters a Scheme read-eval-print-loop in the Scheme environment.
Similar to the _T procedure _Xc(BREAKPOINT).
_end_Desc

_Comdef(`SCHEME-RESET',` ',
`(SCHEME-RESET) _yl() _Undefined')
_begin_Desc
Enters a top level Scheme read-eval-print-loop in the Scheme
environment.
This is equivalent to doing _Xc(SCHEME-BREAKPOINT) followed by _Xc(RESET).
_end_Desc

_Comdef(`T-RESET',` ',
`(T-RESET) _yl() _Undefined')
_begin_Desc
Enters a top level _T read-eval-print-loop in the _T _Xc(USER-ENV).
_end_Desc

When in Scheme, _Xc(RESET) is rebound to _Xc(SCHEME-RESET).

_Comdef(`RESET',` ',
`(RESET) _yl() _Undefined')
_begin_Desc
Transfers control directally to the top-level Scheme read-eval-print
loop by performing a throw.
_end_Desc

Switching between _Xc(SCHEME-ENV) and _Xc(USER-ENV) does not alter
the bindings made in _Xc(SCHEME-ENV).

The value of symbols in the _Xc(SCHEME-ENV) can be accessed from other
environments using _Xc(*VALUE), but it is not posible to do the
reverse from _Xc(SCHEME-ENV).
